matplotlib 2.2.4-foss-2019a-Python-2.7.15

There is a newer install of matplotlib

matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms. matplotlib can be used in python scripts, the python and ipython shell, web application servers, and six graphical user interface toolkits.

Accessing matplotlib 2.2.4-foss-2019a-Python-2.7.15

To load the module for matplotlib 2.2.4-foss-2019a-Python-2.7.15 please use this command on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs):

module load matplotlib/2.2.4-foss-2019a-Python-2.7.15

BEAR Apps Version

2019a

Architectures

EL8-cascadelakeEL8-icelakeEL8-sapphirerapids

The listed architectures consist of two part: OS-CPU. The OS used is represented by EL and there are several different processor (CPU) types available on BlueBEAR. More information about the processor types on BlueBEAR is available on the BlueBEAR Job Submission page.

Extensions

  • backports.functools_lru_cache 1.5
  • Cycler 0.10.0
  • kiwisolver 1.1.0
  • matplotlib 2.2.4
  • subprocess32 3.5.4

More Information

For more information visit the matplotlib website.

Dependencies

This version of matplotlib has a direct dependency on: foss/2019a freetype/2.9.1-GCCcore-8.2.0 libpng/1.6.36-GCCcore-8.2.0 Python/2.7.15-GCCcore-8.2.0 SciPy-bundle/2019.03-foss-2019a Tkinter/2.7.15-GCCcore-8.2.0

Required By

This version of matplotlib is a direct dependent of: Amber/18.15-AmberTools-19.8-foss-2019a-Python-2.7.15 corner/2.0.1-foss-2019a-Python-2.7.15

Other Versions

These versions of matplotlib are available on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 4th September 2019